Get conversations by contact
curl --request GET \
--url https://your-instance.example.com/api/conversation/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/conversation/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/conversation/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversations": [
{
"_id": "65d3e0f0a0b0c0d0e0f0a0b0",
"contactId": "65c2d0e0f0a0b0c0d0e0f0a0",
"channelType": "sms",
"isAutopilot": true,
"isResolved": false,
"lastMessageTime": "2026-05-18T13:45:00.000Z"
}
]
}{
"error": "Attachment not found",
"message": "Attachment not found"
}{
"error": "Attachment not found",
"message": "Attachment not found"
}Conversations
Get conversations by contact
Return every conversation in the caller’s organization that belongs to the given contact, sorted by most recent first. Powers the contact-detail conversations tab.
GET
/
api
/
conversation
/
all
Get conversations by contact
⌘I